anim8 = require("anim8")

player = {}

function player:load()
    self.x = 40
    self.y = 40
    self.spriteSheet = love.graphics.newImage("passing_hours_sprites.png")
    grid = anim8.newGrid(618, 692, self.spriteSheet:getWidth(), self.spriteSheet:getHeight())
    self.animation = anim8.newAnimation(grid("1-3", 1), 0.1)
end

function player:draw()
    love.graphics.rectangle("fill", self.x, self.y, 40, 40)
    self.animation:draw(self.spriteSheet, 0, 0)
end

function player:update(dt)
    local speed = 200
    if love.keyboard.isDown("a") then
        self.x = self.x - speed * dt
    end
    if love.keyboard.isDown("d") then
        self.x = self.x + speed * dt
    end
    if love.keyboard.isDown("w") then
        self.y = self.y - speed * dt
    end
    if love.keyboard.isDown("s") then
        self.y = self.y + speed * dt
    end
    self.animation:update(dt)
end